## libxml 1.8.17-12

=== debian/changelog ===
libxml (1:1.8.17-12) unstable; urgency=high

  * The "open your eyes before uploading" release.
  * debian/control: removed libreadline and libncurses from build
    dependencies. They are actually not needed at all.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jan 2006 19:38:22 +0100

libxml (1:1.8.17-11) unstable; urgency=high

  * Urgency high because we fix an FTBFS.
  * debian/control:
    + Changed build dependencies on libreadline. Closes: #347356.
    + Changed my uploader address.
    + Bumped Standards-Version to 3.6.2.1. No changes needed.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jan 2006 19:28:44 +0100

libxml (1:1.8.17-10) unstable; urgency=low

  * debian/libxml-dev.install, debian/libxml1.install: Moved .pc file into
    libxml-dev package. Closes: #281580.
  * debian/control:
    + Put build-depends on one line.
    + libxml-dev conflicts with older versions of libxml1 (since the moved
      file conflicts)
  * debian/rules: Remove loop link /usr/include/gnome-xml/libxml and change it
    into a directory containing links to the header files. Closes: #130184.
  * libxml-dev.preinst: Remove old /usr/include/gnome-xml/libxml on upgrade.
  * entities.h: Removed redeclaration of xmlCopyEntitiesTable. Closes: #279328.

 -- Mike Hommey <mh@glandium.org>  Wed, 24 Nov 2004 16:13:15 +0900

libxml (1:1.8.17-9) unstable; urgency=high

   * Backport patch from libxml2-2.6.15 to fix buffer overflows [nanohttp.c,
     nanoftp.c, CAN-2004-0989]

 -- Mike Hommey <mh@glandium.org>  Thu, 28 Oct 2004 17:52:52 +0900

libxml (1:1.8.17-8) unstable; urgency=low

  * debian/control: changed deps on libz-dev to zlib1g-dev | libz-dev.
    Closes: #251636.
  * debian/watch: updated the file to version 2 and to actually point to an
    existing URL.

 -- Mike Hommey <mh@glandium.org>  Mon, 31 May 2004 15:24:54 +0900

libxml (1:1.8.17-7) unstable; urgency=low

  * The Oops, I should open my eyes release.
  * debian/control: changed the conflict line for libxml-dev (<< instead of
    outdated <).

 -- Mike Hommey <mh@glandium.org>  Fri, 28 May 2004 16:46:40 +0900

libxml (1:1.8.17-6) unstable; urgency=low

  * debian/control:
    + Changed Maintainer to Debian SGML/XML Group and put myself into
      Uploaders.
    + Added a conflict upon libxml2-dev < 2.6.10-2 because of the
      conflicting file /usr/share/aclocal/libxml.m4.
  * debian/libxml.m4: Grabbed the AM_PATH_XML macro from libxml2.
    Closes: #57964.
  * debian/rules:
    + Small changes in the way we get examples installed.
    + Changed call to dh_movefiles to a call to dh_install.
    + Install the debian/libxml.m4 file into /usr/share/aclocal/.
  * debian/*.files: renamed to debian/*.install.
  * debian/libxml-dev.dirs: added the /usr/share/aclocal directory.
  * configure.in: removed creation of example/Makefile.
  * autogen.sh: Added this file for auto-tools regeneration purpose using
    fixed versions of autoconf and automake. Ran this script to update
    everything.

 -- Mike Hommey <mh@glandium.org>  Wed, 26 May 2004 22:25:21 +0900

libxml (1:1.8.17-5) unstable; urgency=high

  * Applied patch by upstream Daniel Veillard <veillard@redhat.com> to fix
    buffer overflows [nanohttp.c, nanoftp.c, CAN-2004-0110]
    (Thanks to Martin Schulze)
  * Set urgency to high.
  * debian/rules: Small clean-up in the environment variables.

 -- Mike Hommey <mh@glandium.org>  Thu,  4 Mar 2004 18:01:41 +0900

libxml (1:1.8.17-4) unstable; urgency=low

  * debian/compat: moved debhelper compatibility from debian/rules, and
    updated it to 4 instead of 3.
  * debian/control:
    - Changed section of package libxml1-dev to libdevel instead of devel,
      thus matching overrides.
    - Added ${misc:Depends} to Depends for package libxml1.
    - Added versioned dependency upon debhelper.
  * debian/rules: added dh_link in binary-arch target.
  * Bumped to Standards-Version: 3.6.1:
    - debian/rules: added DEB_BUILD_OPTIONS handling.

 -- Mike Hommey <mh@glandium.org>  Sat,  4 Oct 2003 16:32:52 +0900

libxml (1:1.8.17-3) unstable; urgency=low

  * New Maintainer.
  * Ran autoreconf --force --install with latest autotools. Closes: #207420.

 -- Mike Hommey <mh@glandium.org>  Sun, 14 Sep 2003 14:05:17 +0000

libxml (1:1.8.17-2.0.1) unstable; urgency=low

  * Recompile to fix the reference to the hidden symbol __div0 in gcc 3.3

 -- Othmar Pasteka <othmar@debian.org>  Sat, 23 Aug 2003 18:53:52 +0000

libxml (1:1.8.17-2) unstable; urgency=low

  * Applied patch from LaMont Jones (closes: #132622)

 -- Fredrik Hallenberg <hallon@debian.org>  Wed,  6 Feb 2002 21:45:08 +0100

libxml (1:1.8.17-1) unstable; urgency=low

  * New upstream version

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  2 Feb 2002 01:19:03 +0100

libxml (1:1.8.16-1) unstable; urgency=low

  * New upstream version

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 16 Sep 2001 01:08:40 +0200

libxml (1:1.8.15-1) unstable; urgency=low

  * New upstream version

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 21 Aug 2001 21:54:08 +0200

libxml (1:1.8.14-6) unstable; urgency=low

  * Be more careful when removing /usr/doc/libxml-dev

 -- Fredrik Hallenberg <hallon@debian.org>  Wed,  1 Aug 2001 19:37:48 +0200

libxml (1:1.8.14-5) unstable; urgency=low

  * Remove /usr/doc/libxml-dev if it exist (closes: #107236)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 31 Jul 2001 18:33:03 +0200

libxml (1:1.8.14-4) unstable; urgency=low

  * Updated libtool (closes: #105886)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 24 Jul 2001 22:04:16 +0200

libxml (1:1.8.14-3) unstable; urgency=low

  * Fixed shlibs file (closes: #105774)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 19 Jul 2001 13:39:12 +0200

libxml (1:1.8.14-2) unstable; urgency=low

  * Added versioned dependency in shlibs file (closes: #101668)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 16 Jul 2001 18:21:30 +0200

libxml (1:1.8.14-1) unstable; urgency=low

  * New upstream version
  * Use DH_COMPAT 3

