=== debian/control ===
Source: libxml
Priority: optional
Section: libs
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 4), zlib1g-dev | libz-dev, autotools-dev

Package: libxml1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libxml0
Replaces: libxml0
Conflicts: libxml0
Description: GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.

Package: libxml-dev
Architecture: any
Section: libdevel
Depends: libxml1 (= ${Source-Version}), zlib1g-dev | libz-dev
Conflicts: libxml2-dev (<< 2.6.10-2), libxml1 (<< 1:1.8.17-10)
Description: Development files for the GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 Install this package if you wish to develop your own programs using
 the GNOME XML library.
