=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring hppa,$(DEB_BUILD_ARCH)))
	export CC = cc -ffunction-sections
	export CXX = c++ -ffunction-sections
endif

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) distclean
	-rm libxml

	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	cd debian/tmp/usr/lib && ln -s libxml.so.1 libxml.so.0
	rm -rf debian/tmp/usr/share/gnome-xml
	rm -f debian/tmp/usr/include/gnome-xml/libxml
	install -d -m 755 debian/tmp/usr/include/gnome-xml/libxml
	ls -l debian/tmp/usr/include/gnome-xml
	cd debian/tmp/usr/include/gnome-xml && \
	for file in *.h; do \
	  ln -sf ../$${file} libxml/$${file}; \
	done
	ls -l debian/tmp/usr/include/gnome-xml
	ls -l debian/tmp/usr/include/gnome-xml/libxml

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installexamples -plibxml-dev example/gjob*
	dh_installdocs -A AUTHORS TODO README
	install doc/*.html doc/*.gif doc/html/* debian/libxml-dev/usr/share/doc/libxml-dev/libxml-dev.html/
	install -m 644 debian/xml-config.1 debian/libxml-dev/usr/share/man/man1
	install -m 644 debian/libxml.m4 debian/libxml-dev/usr/share/aclocal/libxml.m4
	dh_installchangelogs ChangeLog
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libxml1 (>= 1:1.8.14-3)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
