=== debian/watch ===
version=2
ftp://xmlsoft.org/old/libxml-([\d\.]+)\.tar\.gz	debian	uupdate
